CGI::Session::Serialize::default(3pm)

NAME
CGI::Session::Serialize::default - Default CGI::Session serializer

DESCRIPTION
This library is used by CGI::Session driver to serialize session data before storing it in disk.

All the methods are called as class methods.

METHODS

freeze($class, \%hash)
    Receives two arguments. First is the class name, the second is the data to be serialized. Should return serialized string on success, undef on failure. Error message should be set using "set_error()|CGI::Session::ErrorHandler/"set_error()""

thaw($class, $string)
    Received two arguments. First is the class name, second is the frozen data string. Should return thawed data structure on success, undef on failure. Error message should be set using "set_error()|CGI::Session::ErrorHandler/"set_error()""

LICENSING
For support and licensing see CGI::Session